]> git.immae.eu Git - perso/Immae/Config/Nix.git/blobdiff - nixops/scripts/setup
Migrate to morph as a replacement to nixops
[perso/Immae/Config/Nix.git] / nixops / scripts / setup
index 3b364ac74fa48196d897fef5da72fcb970f59fe7..e161e43ec97f965e72da9c9b59f9ed4413cbaab9 100755 (executable)
@@ -2,9 +2,6 @@
 
 set -euo pipefail
 
-RemoteRepo="gitolite@git.immae.eu:perso/Immae/Prive/Password_store/Sites"
-MAKEFILE_DIR="$( cd "$( dirname $( dirname "${BASH_SOURCE[0]}" ))" >/dev/null 2>&1 && pwd )"
-
 if ! which nix 2>/dev/null >/dev/null; then
   cat <<-EOF
        nix is needed, please install it:
@@ -21,43 +18,9 @@ if [ "${NIX_STORE:-/nix/store}" != "/nix/store" ]; then
   exit 1
 fi
 
-if [ -z "$NIXOPS_CONFIG_PASS_SUBTREE_REMOTE" \
-    -o -z "$NIXOPS_CONFIG_PASS_SUBTREE_PATH" ]; then
-  cat <<-EOF
-       Two environment variables are needed to setup the password store:
-       NIXOPS_CONFIG_PASS_SUBTREE_PATH : path where the subtree will be imported
-       NIXOPS_CONFIG_PASS_SUBTREE_REMOTE : remote name to give to the repository
-       EOF
-  exit 1
-fi
-
-if ! pass $NIXOPS_CONFIG_PASS_SUBTREE_PATH > /dev/null 2>/dev/null; then
-  cat <<-EOF
-       /!\ This will modify your password store to add and import a subtree
-       with the specific passwords files. Choose a path that doesn’t exist
-       yet in your password store.
-       > pass git remote add $NIXOPS_CONFIG_PASS_SUBTREE_REMOTE $RemoteRepo
-       > pass git subtree add --prefix=$NIXOPS_CONFIG_PASS_SUBTREE_PATH $NIXOPS_CONFIG_PASS_SUBTREE_REMOTE master
-       Later, you can use pull_environment and push_environment scripts to
-       update the passwords when needed
-       Continue? [y/N]
-       EOF
-  read y
-  if [ "$y" = "y" -o "$y" = "Y" ]; then
-    pass git remote add $NIXOPS_CONFIG_PASS_SUBTREE_REMOTE $RemoteRepo
-    pass git subtree add --prefix=$NIXOPS_CONFIG_PASS_SUBTREE_PATH $NIXOPS_CONFIG_PASS_SUBTREE_REMOTE master
-  else
-    echo "Aborting"
-    exit 1
-  fi
-fi
-
-# Repull it before adding keys, just in case
-make -C $MAKEFILE_DIR pull_environment
-
-gpg_keys=$(pass ls $NIXOPS_CONFIG_PASS_SUBTREE_PATH/Nixops/GPGKeys | sed -e "1d" | cut -d" " -f2)
+gpg_keys=$(pass ls Nixops/GPGKeys | sed -e "1d" | cut -d" " -f2)
 for key in $gpg_keys; do
-  content=$(pass show $NIXOPS_CONFIG_PASS_SUBTREE_PATH/Nixops/GPGKeys/$key)
+  content=$(pass show Nixops/GPGKeys/$key)
   fpr=$(echo "$content" | gpg --import-options show-only --import --with-colons | grep -e "^pub" | cut -d':' -f5)
   gpg --list-key "$fpr" >/dev/null 2>/dev/null && imported=yes || imported=no
   # /usr/share/doc/gnupg/DETAILS field 2
@@ -97,20 +60,6 @@ if nix show-config --json | jq -e '.sandbox.value == "true"' >/dev/null; then
   read y
 fi
 
-if ! make -C $MAKEFILE_DIR deployment_is_set 2>/dev/null >/dev/null; then
-  cat <<-EOF
-       Importing deployment file into nixops:
-       Continue? [y/N]
-       EOF
-  read y
-  if [ "$y" = "y" -o "$y" = "Y" ]; then
-    make -C $MAKEFILE_DIR pull_deployment
-  else
-    echo "Aborting"
-    exit 1
-  fi
-fi
-
 cat <<-EOF
        All set up.
        Please make sure you’re using make commands when deploying